package com.idea.pro.wx.pojo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

@Api(description = "登录用户信息")
public class UserInfo {

    /**
     * 登录账号
     */
    @ApiModelProperty(value = "登录账号", name = "userName")
    private String userName;

    /**
     * 登录密码
     */
    @ApiModelProperty(value = "登录密码", name = "password")
    private String password;

    /**
     * 头像
     */
    @ApiModelProperty(value = "头像", name = "avatarUrl")
    private String avatarUrl;

    /**
     * 城市
     */
    @ApiModelProperty(value = "城市", name = "city")
    private String city;

    /**
     * 国家
     */
    @ApiModelProperty(value = "国家", name = "country")
    private String country;

    /**
     * 省份
     */
    @ApiModelProperty(value = "省份", name = "province")
    private String province;

    /**
     * 语言
     */
    @ApiModelProperty(value = "语言", name = "language")
    private String language;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getAvatarUrl() {
        return avatarUrl;
    }

    public void setAvatarUrl(String avatarUrl) {
        this.avatarUrl = avatarUrl;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }
}
