package com.idea.customerManagement.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ContractManageExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ContractManageExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdIsNull() {
            addCriterion("customer_management_id is null");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdIsNotNull() {
            addCriterion("customer_management_id is not null");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdEqualTo(String value) {
            addCriterion("customer_management_id =", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotEqualTo(String value) {
            addCriterion("customer_management_id <>", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdGreaterThan(String value) {
            addCriterion("customer_management_id >", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdGreaterThanOrEqualTo(String value) {
            addCriterion("customer_management_id >=", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdLessThan(String value) {
            addCriterion("customer_management_id <", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdLessThanOrEqualTo(String value) {
            addCriterion("customer_management_id <=", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdLike(String value) {
            addCriterion("customer_management_id like", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotLike(String value) {
            addCriterion("customer_management_id not like", value, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdIn(List<String> values) {
            addCriterion("customer_management_id in", values, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotIn(List<String> values) {
            addCriterion("customer_management_id not in", values, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdBetween(String value1, String value2) {
            addCriterion("customer_management_id between", value1, value2, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andCustomerManagementIdNotBetween(String value1, String value2) {
            addCriterion("customer_management_id not between", value1, value2, "customerManagementId");
            return (Criteria) this;
        }

        public Criteria andRecordNumberIsNull() {
            addCriterion("record_number is null");
            return (Criteria) this;
        }

        public Criteria andRecordNumberIsNotNull() {
            addCriterion("record_number is not null");
            return (Criteria) this;
        }

        public Criteria andRecordNumberEqualTo(String value) {
            addCriterion("record_number =", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotEqualTo(String value) {
            addCriterion("record_number <>", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberGreaterThan(String value) {
            addCriterion("record_number >", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberGreaterThanOrEqualTo(String value) {
            addCriterion("record_number >=", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberLessThan(String value) {
            addCriterion("record_number <", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberLessThanOrEqualTo(String value) {
            addCriterion("record_number <=", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberLike(String value) {
            addCriterion("record_number like", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotLike(String value) {
            addCriterion("record_number not like", value, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberIn(List<String> values) {
            addCriterion("record_number in", values, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotIn(List<String> values) {
            addCriterion("record_number not in", values, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberBetween(String value1, String value2) {
            addCriterion("record_number between", value1, value2, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andRecordNumberNotBetween(String value1, String value2) {
            addCriterion("record_number not between", value1, value2, "recordNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberIsNull() {
            addCriterion("contract_number is null");
            return (Criteria) this;
        }

        public Criteria andContractNumberIsNotNull() {
            addCriterion("contract_number is not null");
            return (Criteria) this;
        }

        public Criteria andContractNumberEqualTo(String value) {
            addCriterion("contract_number =", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotEqualTo(String value) {
            addCriterion("contract_number <>", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberGreaterThan(String value) {
            addCriterion("contract_number >", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberGreaterThanOrEqualTo(String value) {
            addCriterion("contract_number >=", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberLessThan(String value) {
            addCriterion("contract_number <", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberLessThanOrEqualTo(String value) {
            addCriterion("contract_number <=", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberLike(String value) {
            addCriterion("contract_number like", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotLike(String value) {
            addCriterion("contract_number not like", value, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberIn(List<String> values) {
            addCriterion("contract_number in", values, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotIn(List<String> values) {
            addCriterion("contract_number not in", values, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberBetween(String value1, String value2) {
            addCriterion("contract_number between", value1, value2, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andContractNumberNotBetween(String value1, String value2) {
            addCriterion("contract_number not between", value1, value2, "contractNumber");
            return (Criteria) this;
        }

        public Criteria andSellerIsNull() {
            addCriterion("seller is null");
            return (Criteria) this;
        }

        public Criteria andSellerIsNotNull() {
            addCriterion("seller is not null");
            return (Criteria) this;
        }

        public Criteria andSellerEqualTo(String value) {
            addCriterion("seller =", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerNotEqualTo(String value) {
            addCriterion("seller <>", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerGreaterThan(String value) {
            addCriterion("seller >", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerGreaterThanOrEqualTo(String value) {
            addCriterion("seller >=", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerLessThan(String value) {
            addCriterion("seller <", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerLessThanOrEqualTo(String value) {
            addCriterion("seller <=", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerLike(String value) {
            addCriterion("seller like", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerNotLike(String value) {
            addCriterion("seller not like", value, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerIn(List<String> values) {
            addCriterion("seller in", values, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerNotIn(List<String> values) {
            addCriterion("seller not in", values, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerBetween(String value1, String value2) {
            addCriterion("seller between", value1, value2, "seller");
            return (Criteria) this;
        }

        public Criteria andSellerNotBetween(String value1, String value2) {
            addCriterion("seller not between", value1, value2, "seller");
            return (Criteria) this;
        }

        public Criteria andHouseIdIsNull() {
            addCriterion("house_id is null");
            return (Criteria) this;
        }

        public Criteria andHouseIdIsNotNull() {
            addCriterion("house_id is not null");
            return (Criteria) this;
        }

        public Criteria andHouseIdEqualTo(String value) {
            addCriterion("house_id =", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotEqualTo(String value) {
            addCriterion("house_id <>", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdGreaterThan(String value) {
            addCriterion("house_id >", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdGreaterThanOrEqualTo(String value) {
            addCriterion("house_id >=", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLessThan(String value) {
            addCriterion("house_id <", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLessThanOrEqualTo(String value) {
            addCriterion("house_id <=", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdLike(String value) {
            addCriterion("house_id like", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotLike(String value) {
            addCriterion("house_id not like", value, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdIn(List<String> values) {
            addCriterion("house_id in", values, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotIn(List<String> values) {
            addCriterion("house_id not in", values, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdBetween(String value1, String value2) {
            addCriterion("house_id between", value1, value2, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseIdNotBetween(String value1, String value2) {
            addCriterion("house_id not between", value1, value2, "houseId");
            return (Criteria) this;
        }

        public Criteria andHouseNameIsNull() {
            addCriterion("house_name is null");
            return (Criteria) this;
        }

        public Criteria andHouseNameIsNotNull() {
            addCriterion("house_name is not null");
            return (Criteria) this;
        }

        public Criteria andHouseNameEqualTo(String value) {
            addCriterion("house_name =", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameNotEqualTo(String value) {
            addCriterion("house_name <>", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameGreaterThan(String value) {
            addCriterion("house_name >", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("house_name >=", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameLessThan(String value) {
            addCriterion("house_name <", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameLessThanOrEqualTo(String value) {
            addCriterion("house_name <=", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameLike(String value) {
            addCriterion("house_name like", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameNotLike(String value) {
            addCriterion("house_name not like", value, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameIn(List<String> values) {
            addCriterion("house_name in", values, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameNotIn(List<String> values) {
            addCriterion("house_name not in", values, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameBetween(String value1, String value2) {
            addCriterion("house_name between", value1, value2, "houseName");
            return (Criteria) this;
        }

        public Criteria andHouseNameNotBetween(String value1, String value2) {
            addCriterion("house_name not between", value1, value2, "houseName");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaIsNull() {
            addCriterion("actual_build_area is null");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaIsNotNull() {
            addCriterion("actual_build_area is not null");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaEqualTo(Double value) {
            addCriterion("actual_build_area =", value, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaNotEqualTo(Double value) {
            addCriterion("actual_build_area <>", value, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaGreaterThan(Double value) {
            addCriterion("actual_build_area >", value, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaGreaterThanOrEqualTo(Double value) {
            addCriterion("actual_build_area >=", value, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaLessThan(Double value) {
            addCriterion("actual_build_area <", value, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaLessThanOrEqualTo(Double value) {
            addCriterion("actual_build_area <=", value, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaIn(List<Double> values) {
            addCriterion("actual_build_area in", values, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaNotIn(List<Double> values) {
            addCriterion("actual_build_area not in", values, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaBetween(Double value1, Double value2) {
            addCriterion("actual_build_area between", value1, value2, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualBuildAreaNotBetween(Double value1, Double value2) {
            addCriterion("actual_build_area not between", value1, value2, "actualBuildArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaIsNull() {
            addCriterion("actual_internal_area is null");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaIsNotNull() {
            addCriterion("actual_internal_area is not null");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaEqualTo(Double value) {
            addCriterion("actual_internal_area =", value, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaNotEqualTo(Double value) {
            addCriterion("actual_internal_area <>", value, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaGreaterThan(Double value) {
            addCriterion("actual_internal_area >", value, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaGreaterThanOrEqualTo(Double value) {
            addCriterion("actual_internal_area >=", value, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaLessThan(Double value) {
            addCriterion("actual_internal_area <", value, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaLessThanOrEqualTo(Double value) {
            addCriterion("actual_internal_area <=", value, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaIn(List<Double> values) {
            addCriterion("actual_internal_area in", values, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaNotIn(List<Double> values) {
            addCriterion("actual_internal_area not in", values, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaBetween(Double value1, Double value2) {
            addCriterion("actual_internal_area between", value1, value2, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualInternalAreaNotBetween(Double value1, Double value2) {
            addCriterion("actual_internal_area not between", value1, value2, "actualInternalArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaIsNull() {
            addCriterion("actual_share_area is null");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaIsNotNull() {
            addCriterion("actual_share_area is not null");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaEqualTo(Double value) {
            addCriterion("actual_share_area =", value, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaNotEqualTo(Double value) {
            addCriterion("actual_share_area <>", value, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaGreaterThan(Double value) {
            addCriterion("actual_share_area >", value, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaGreaterThanOrEqualTo(Double value) {
            addCriterion("actual_share_area >=", value, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaLessThan(Double value) {
            addCriterion("actual_share_area <", value, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaLessThanOrEqualTo(Double value) {
            addCriterion("actual_share_area <=", value, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaIn(List<Double> values) {
            addCriterion("actual_share_area in", values, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaNotIn(List<Double> values) {
            addCriterion("actual_share_area not in", values, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaBetween(Double value1, Double value2) {
            addCriterion("actual_share_area between", value1, value2, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andActualShareAreaNotBetween(Double value1, Double value2) {
            addCriterion("actual_share_area not between", value1, value2, "actualShareArea");
            return (Criteria) this;
        }

        public Criteria andInstitutionIsNull() {
            addCriterion("institution is null");
            return (Criteria) this;
        }

        public Criteria andInstitutionIsNotNull() {
            addCriterion("institution is not null");
            return (Criteria) this;
        }

        public Criteria andInstitutionEqualTo(String value) {
            addCriterion("institution =", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionNotEqualTo(String value) {
            addCriterion("institution <>", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionGreaterThan(String value) {
            addCriterion("institution >", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionGreaterThanOrEqualTo(String value) {
            addCriterion("institution >=", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionLessThan(String value) {
            addCriterion("institution <", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionLessThanOrEqualTo(String value) {
            addCriterion("institution <=", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionLike(String value) {
            addCriterion("institution like", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionNotLike(String value) {
            addCriterion("institution not like", value, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionIn(List<String> values) {
            addCriterion("institution in", values, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionNotIn(List<String> values) {
            addCriterion("institution not in", values, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionBetween(String value1, String value2) {
            addCriterion("institution between", value1, value2, "institution");
            return (Criteria) this;
        }

        public Criteria andInstitutionNotBetween(String value1, String value2) {
            addCriterion("institution not between", value1, value2, "institution");
            return (Criteria) this;
        }

        public Criteria andSigningDateIsNull() {
            addCriterion("signing_date is null");
            return (Criteria) this;
        }

        public Criteria andSigningDateIsNotNull() {
            addCriterion("signing_date is not null");
            return (Criteria) this;
        }

        public Criteria andSigningDateEqualTo(Date value) {
            addCriterion("signing_date =", value, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateNotEqualTo(Date value) {
            addCriterion("signing_date <>", value, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateGreaterThan(Date value) {
            addCriterion("signing_date >", value, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateGreaterThanOrEqualTo(Date value) {
            addCriterion("signing_date >=", value, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateLessThan(Date value) {
            addCriterion("signing_date <", value, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateLessThanOrEqualTo(Date value) {
            addCriterion("signing_date <=", value, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateIn(List<Date> values) {
            addCriterion("signing_date in", values, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateNotIn(List<Date> values) {
            addCriterion("signing_date not in", values, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateBetween(Date value1, Date value2) {
            addCriterion("signing_date between", value1, value2, "signingDate");
            return (Criteria) this;
        }

        public Criteria andSigningDateNotBetween(Date value1, Date value2) {
            addCriterion("signing_date not between", value1, value2, "signingDate");
            return (Criteria) this;
        }

        public Criteria andHousePriceIsNull() {
            addCriterion("house_price is null");
            return (Criteria) this;
        }

        public Criteria andHousePriceIsNotNull() {
            addCriterion("house_price is not null");
            return (Criteria) this;
        }

        public Criteria andHousePriceEqualTo(BigDecimal value) {
            addCriterion("house_price =", value, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceNotEqualTo(BigDecimal value) {
            addCriterion("house_price <>", value, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceGreaterThan(BigDecimal value) {
            addCriterion("house_price >", value, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("house_price >=", value, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceLessThan(BigDecimal value) {
            addCriterion("house_price <", value, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("house_price <=", value, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceIn(List<BigDecimal> values) {
            addCriterion("house_price in", values, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceNotIn(List<BigDecimal> values) {
            addCriterion("house_price not in", values, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house_price between", value1, value2, "housePrice");
            return (Criteria) this;
        }

        public Criteria andHousePriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house_price not between", value1, value2, "housePrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceIsNull() {
            addCriterion("total_price is null");
            return (Criteria) this;
        }

        public Criteria andTotalPriceIsNotNull() {
            addCriterion("total_price is not null");
            return (Criteria) this;
        }

        public Criteria andTotalPriceEqualTo(BigDecimal value) {
            addCriterion("total_price =", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceNotEqualTo(BigDecimal value) {
            addCriterion("total_price <>", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceGreaterThan(BigDecimal value) {
            addCriterion("total_price >", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_price >=", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceLessThan(BigDecimal value) {
            addCriterion("total_price <", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_price <=", value, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceIn(List<BigDecimal> values) {
            addCriterion("total_price in", values, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceNotIn(List<BigDecimal> values) {
            addCriterion("total_price not in", values, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_price between", value1, value2, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andTotalPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_price not between", value1, value2, "totalPrice");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionIsNull() {
            addCriterion("buyer_proportion is null");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionIsNotNull() {
            addCriterion("buyer_proportion is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionEqualTo(Double value) {
            addCriterion("buyer_proportion =", value, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionNotEqualTo(Double value) {
            addCriterion("buyer_proportion <>", value, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionGreaterThan(Double value) {
            addCriterion("buyer_proportion >", value, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionGreaterThanOrEqualTo(Double value) {
            addCriterion("buyer_proportion >=", value, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionLessThan(Double value) {
            addCriterion("buyer_proportion <", value, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionLessThanOrEqualTo(Double value) {
            addCriterion("buyer_proportion <=", value, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionIn(List<Double> values) {
            addCriterion("buyer_proportion in", values, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionNotIn(List<Double> values) {
            addCriterion("buyer_proportion not in", values, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionBetween(Double value1, Double value2) {
            addCriterion("buyer_proportion between", value1, value2, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerProportionNotBetween(Double value1, Double value2) {
            addCriterion("buyer_proportion not between", value1, value2, "buyerProportion");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyIsNull() {
            addCriterion("buyer_money is null");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyIsNotNull() {
            addCriterion("buyer_money is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyEqualTo(BigDecimal value) {
            addCriterion("buyer_money =", value, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyNotEqualTo(BigDecimal value) {
            addCriterion("buyer_money <>", value, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyGreaterThan(BigDecimal value) {
            addCriterion("buyer_money >", value, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("buyer_money >=", value, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyLessThan(BigDecimal value) {
            addCriterion("buyer_money <", value, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyLessThanOrEqualTo(BigDecimal value) {
            addCriterion("buyer_money <=", value, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyIn(List<BigDecimal> values) {
            addCriterion("buyer_money in", values, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyNotIn(List<BigDecimal> values) {
            addCriterion("buyer_money not in", values, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("buyer_money between", value1, value2, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerMoneyNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("buyer_money not between", value1, value2, "buyerMoney");
            return (Criteria) this;
        }

        public Criteria andBuyerNameIsNull() {
            addCriterion("buyer_name is null");
            return (Criteria) this;
        }

        public Criteria andBuyerNameIsNotNull() {
            addCriterion("buyer_name is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerNameEqualTo(String value) {
            addCriterion("buyer_name =", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotEqualTo(String value) {
            addCriterion("buyer_name <>", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameGreaterThan(String value) {
            addCriterion("buyer_name >", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameGreaterThanOrEqualTo(String value) {
            addCriterion("buyer_name >=", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameLessThan(String value) {
            addCriterion("buyer_name <", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameLessThanOrEqualTo(String value) {
            addCriterion("buyer_name <=", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameLike(String value) {
            addCriterion("buyer_name like", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotLike(String value) {
            addCriterion("buyer_name not like", value, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameIn(List<String> values) {
            addCriterion("buyer_name in", values, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotIn(List<String> values) {
            addCriterion("buyer_name not in", values, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameBetween(String value1, String value2) {
            addCriterion("buyer_name between", value1, value2, "buyerName");
            return (Criteria) this;
        }

        public Criteria andBuyerNameNotBetween(String value1, String value2) {
            addCriterion("buyer_name not between", value1, value2, "buyerName");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodIsNull() {
            addCriterion("payment_method is null");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodIsNotNull() {
            addCriterion("payment_method is not null");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodEqualTo(Integer value) {
            addCriterion("payment_method =", value, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodNotEqualTo(Integer value) {
            addCriterion("payment_method <>", value, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodGreaterThan(Integer value) {
            addCriterion("payment_method >", value, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodGreaterThanOrEqualTo(Integer value) {
            addCriterion("payment_method >=", value, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodLessThan(Integer value) {
            addCriterion("payment_method <", value, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodLessThanOrEqualTo(Integer value) {
            addCriterion("payment_method <=", value, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodIn(List<Integer> values) {
            addCriterion("payment_method in", values, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodNotIn(List<Integer> values) {
            addCriterion("payment_method not in", values, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodBetween(Integer value1, Integer value2) {
            addCriterion("payment_method between", value1, value2, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andPaymentMethodNotBetween(Integer value1, Integer value2) {
            addCriterion("payment_method not between", value1, value2, "paymentMethod");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionIsNull() {
            addCriterion("down_payments_proportion is null");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionIsNotNull() {
            addCriterion("down_payments_proportion is not null");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionEqualTo(String value) {
            addCriterion("down_payments_proportion =", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionNotEqualTo(String value) {
            addCriterion("down_payments_proportion <>", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionGreaterThan(String value) {
            addCriterion("down_payments_proportion >", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionGreaterThanOrEqualTo(String value) {
            addCriterion("down_payments_proportion >=", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionLessThan(String value) {
            addCriterion("down_payments_proportion <", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionLessThanOrEqualTo(String value) {
            addCriterion("down_payments_proportion <=", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionLike(String value) {
            addCriterion("down_payments_proportion like", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionNotLike(String value) {
            addCriterion("down_payments_proportion not like", value, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionIn(List<String> values) {
            addCriterion("down_payments_proportion in", values, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionNotIn(List<String> values) {
            addCriterion("down_payments_proportion not in", values, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionBetween(String value1, String value2) {
            addCriterion("down_payments_proportion between", value1, value2, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDownPaymentsProportionNotBetween(String value1, String value2) {
            addCriterion("down_payments_proportion not between", value1, value2, "downPaymentsProportion");
            return (Criteria) this;
        }

        public Criteria andDeadlineIsNull() {
            addCriterion("deadline is null");
            return (Criteria) this;
        }

        public Criteria andDeadlineIsNotNull() {
            addCriterion("deadline is not null");
            return (Criteria) this;
        }

        public Criteria andDeadlineEqualTo(Date value) {
            addCriterion("deadline =", value, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineNotEqualTo(Date value) {
            addCriterion("deadline <>", value, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineGreaterThan(Date value) {
            addCriterion("deadline >", value, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineGreaterThanOrEqualTo(Date value) {
            addCriterion("deadline >=", value, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineLessThan(Date value) {
            addCriterion("deadline <", value, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineLessThanOrEqualTo(Date value) {
            addCriterion("deadline <=", value, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineIn(List<Date> values) {
            addCriterion("deadline in", values, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineNotIn(List<Date> values) {
            addCriterion("deadline not in", values, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineBetween(Date value1, Date value2) {
            addCriterion("deadline between", value1, value2, "deadline");
            return (Criteria) this;
        }

        public Criteria andDeadlineNotBetween(Date value1, Date value2) {
            addCriterion("deadline not between", value1, value2, "deadline");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsIsNull() {
            addCriterion("maintenance_funds is null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsIsNotNull() {
            addCriterion("maintenance_funds is not null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsEqualTo(BigDecimal value) {
            addCriterion("maintenance_funds =", value, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsNotEqualTo(BigDecimal value) {
            addCriterion("maintenance_funds <>", value, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsGreaterThan(BigDecimal value) {
            addCriterion("maintenance_funds >", value, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("maintenance_funds >=", value, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsLessThan(BigDecimal value) {
            addCriterion("maintenance_funds <", value, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("maintenance_funds <=", value, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsIn(List<BigDecimal> values) {
            addCriterion("maintenance_funds in", values, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsNotIn(List<BigDecimal> values) {
            addCriterion("maintenance_funds not in", values, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maintenance_funds between", value1, value2, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceFundsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maintenance_funds not between", value1, value2, "maintenanceFunds");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceIsNull() {
            addCriterion("maintenance_total_price is null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceIsNotNull() {
            addCriterion("maintenance_total_price is not null");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceEqualTo(BigDecimal value) {
            addCriterion("maintenance_total_price =", value, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceNotEqualTo(BigDecimal value) {
            addCriterion("maintenance_total_price <>", value, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceGreaterThan(BigDecimal value) {
            addCriterion("maintenance_total_price >", value, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("maintenance_total_price >=", value, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceLessThan(BigDecimal value) {
            addCriterion("maintenance_total_price <", value, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("maintenance_total_price <=", value, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceIn(List<BigDecimal> values) {
            addCriterion("maintenance_total_price in", values, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceNotIn(List<BigDecimal> values) {
            addCriterion("maintenance_total_price not in", values, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maintenance_total_price between", value1, value2, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andMaintenanceTotalPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("maintenance_total_price not between", value1, value2, "maintenanceTotalPrice");
            return (Criteria) this;
        }

        public Criteria andContractStatusIsNull() {
            addCriterion("contract_status is null");
            return (Criteria) this;
        }

        public Criteria andContractStatusIsNotNull() {
            addCriterion("contract_status is not null");
            return (Criteria) this;
        }

        public Criteria andContractStatusEqualTo(Integer value) {
            addCriterion("contract_status =", value, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusNotEqualTo(Integer value) {
            addCriterion("contract_status <>", value, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusGreaterThan(Integer value) {
            addCriterion("contract_status >", value, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("contract_status >=", value, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusLessThan(Integer value) {
            addCriterion("contract_status <", value, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusLessThanOrEqualTo(Integer value) {
            addCriterion("contract_status <=", value, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusIn(List<Integer> values) {
            addCriterion("contract_status in", values, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusNotIn(List<Integer> values) {
            addCriterion("contract_status not in", values, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusBetween(Integer value1, Integer value2) {
            addCriterion("contract_status between", value1, value2, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andContractStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("contract_status not between", value1, value2, "contractStatus");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsIsNull() {
            addCriterion("subscription_funds is null");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsIsNotNull() {
            addCriterion("subscription_funds is not null");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsEqualTo(BigDecimal value) {
            addCriterion("subscription_funds =", value, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsNotEqualTo(BigDecimal value) {
            addCriterion("subscription_funds <>", value, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsGreaterThan(BigDecimal value) {
            addCriterion("subscription_funds >", value, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("subscription_funds >=", value, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsLessThan(BigDecimal value) {
            addCriterion("subscription_funds <", value, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("subscription_funds <=", value, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsIn(List<BigDecimal> values) {
            addCriterion("subscription_funds in", values, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsNotIn(List<BigDecimal> values) {
            addCriterion("subscription_funds not in", values, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("subscription_funds between", value1, value2, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andSubscriptionFundsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("subscription_funds not between", value1, value2, "subscriptionFunds");
            return (Criteria) this;
        }

        public Criteria andCreatedIdIsNull() {
            addCriterion("created_id is null");
            return (Criteria) this;
        }

        public Criteria andCreatedIdIsNotNull() {
            addCriterion("created_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedIdEqualTo(String value) {
            addCriterion("created_id =", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdNotEqualTo(String value) {
            addCriterion("created_id <>", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdGreaterThan(String value) {
            addCriterion("created_id >", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdGreaterThanOrEqualTo(String value) {
            addCriterion("created_id >=", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdLessThan(String value) {
            addCriterion("created_id <", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdLessThanOrEqualTo(String value) {
            addCriterion("created_id <=", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdLike(String value) {
            addCriterion("created_id like", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdNotLike(String value) {
            addCriterion("created_id not like", value, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdIn(List<String> values) {
            addCriterion("created_id in", values, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdNotIn(List<String> values) {
            addCriterion("created_id not in", values, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdBetween(String value1, String value2) {
            addCriterion("created_id between", value1, value2, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedIdNotBetween(String value1, String value2) {
            addCriterion("created_id not between", value1, value2, "createdId");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdIsNull() {
            addCriterion("updated_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdIsNotNull() {
            addCriterion("updated_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdEqualTo(String value) {
            addCriterion("updated_id =", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdNotEqualTo(String value) {
            addCriterion("updated_id <>", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdGreaterThan(String value) {
            addCriterion("updated_id >", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdGreaterThanOrEqualTo(String value) {
            addCriterion("updated_id >=", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdLessThan(String value) {
            addCriterion("updated_id <", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdLessThanOrEqualTo(String value) {
            addCriterion("updated_id <=", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdLike(String value) {
            addCriterion("updated_id like", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdNotLike(String value) {
            addCriterion("updated_id not like", value, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdIn(List<String> values) {
            addCriterion("updated_id in", values, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdNotIn(List<String> values) {
            addCriterion("updated_id not in", values, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdBetween(String value1, String value2) {
            addCriterion("updated_id between", value1, value2, "updatedId");
            return (Criteria) this;
        }

        public Criteria andUpdatedIdNotBetween(String value1, String value2) {
            addCriterion("updated_id not between", value1, value2, "updatedId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}