package com.idea.pro.wx;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@SpringBootApplication(scanBasePackages = {"com.idea","com.rockstar"})
@MapperScan(value = {"com.rockstar.*.mapper","com.idea.*.mapper"})
@EnableTransactionManagement
@EnableScheduling
public class WxApplication implements WebMvcConfigurer {

    public static void main(String[] args) throws Exception {
        SpringApplication.run(WxApplication.class, args);

        System.out.println("=========================================");
        System.out.println("|-----------  Wx 启动成功  --------------|");
        System.out.println("=========================================");
    }
}